#ifndef CONFIG_H
#define CONFIG_H

#include <p33Fxxxx.h>

typedef signed char int8_t;
typedef unsigned char uint8_t;
typedef signed int int16_t;
typedef unsigned int uint16_t;
typedef signed long int int32_t;
typedef unsigned long int uint32_t;
typedef signed long long int64_t;
typedef unsigned long long uint64_t;

#define FCY 40000000

/* define as 0/1 to invert I/O polarity for optocouplers
   define as 1/0 for normal polarity */
#define IO_HIGH 0
#define IO_LOW 1

void config_init(void);

#define nop() __asm("nop")

#endif

