#!/usr/bin/octave
# load data
if (length(who("calibdata")) == 0) 
  calibdata = load("calibrate-50a.log");
endif

# split it into each keithley value
if (length(who("a")) == 0)
  for i = 1 : (length(calibdata) / 4000)
    block=1:4000;
    a(i, block, 1) = calibdata((i-1) * 4000 + block, 2);
    a(i, block, 2) = calibdata((i-1) * 4000 + block, 3);
    a(i, block, 3) = calibdata((i-1) * 4000 + block, 1);
  endfor
endif

# plot them all
clf;
figure(1);
hold on

for i = 1:size(a,1)
#for i = 8:8
  range = 1:4000;
  x = a(i, range, 1);
  y = a(i, range, 2);

  plot(x, y);
endfor


  
